/*
 * serpent.h
 * an implementation of the serpent block cipher
 * samuel judson | cryptography and network protocols | marlboro college 
 */

#ifndef SPECS
#include "serpent_lib/cipher_specs.h"
#define SPECS 1
#endif

typedef struct arguments {
  int mode;
  uint32_t key[KEY_LENGTH];
  char input_file[256];
} arguments;

void generate_key(uint32_t key[KEY_LENGTH]);
char* encrypt(uint32_t key[KEY_LENGTH], char* input);
char* decrypt(uint32_t key[KEY_LENGTH], char* input);
