/*  
 *  test.c
 *  tests the SHA512_hash function
 *  samuel judson | cryptography and network protocols | marlboro college
 */

#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include "sha512.h"

char* TEST_INPUT = "A quick brown fox jumped over the lazy dog.";
char* HEX_EXPECTED_OUTPUT = "BE64617AB3E23E74D8048914F02A2FC1FCCA73825F1F10D9B8066851C64B1DB48E83A7D16ECC76A48DA860351FDBE4E9DEF5C06BE84A867709C37685DF8DE92D";

void sha512_test() {
  char* output;
  output = (char*) malloc(HEX_HASH_STR_LEN * sizeof(char));
  output = SHA512_hash(TEST_INPUT);
  
  fprintf(stdout, "===== HASH TEST =====\n\n");

  if (!strcmp(HEX_EXPECTED_OUTPUT, output)) {
    fprintf(stdout, "ENCRYPT TEST: SUCCESS.\n\n");
  } else {
    fprintf(stdout, "ENCRYPT TEST: FAILURE.\n\n");
  }
  
  fprintf(stdout, "Expected: %s\nGot:      %s\n\n", HEX_EXPECTED_OUTPUT, output);
}

int main() {
  sha512_test();

  return 0;
}
