/* 
 * base64.h
 * encodes and decodes input from/to base64 - code taken, with additions and alterations, from Davies' Implementing SSL/TLS Using Cryptography and PKI.
 * sam judson | cryptography and network protocols | marlboro college
 */

#ifndef BASE64_H
#define BASE64_H

void base64_encode(const unsigned char *input, int len, unsigned char *output);
int base64_decode(const unsigned char *input, int len, unsigned char *output);

#endif
