/*
 *  dhe/dhe.h
 *  Diffie-Hellman Key Exchange
 *  samuel judson | cryptography and network protocols | marlboro college
 */

#include <gmp.h>

void dhe_compute_party_secret(mpz_t party_secret, mpz_t secret_key, mpz_t generator, mpz_t prime);

void dhe_compute_shared_secret(mpz_t shared_secret, mpz_t secret_key, mpz_t other_party_secret, mpz_t prime);












