/*
 *  rsa/rsa.h
 *  RSA Signature Scheme
 *  samuel judson | cryptography and network protocols | marlboro college
 */

#include <gmp.h>

void rsa_sign_payload(mpz_t signed_payload, mpz_t payload, mpz_t pri_exp, mpz_t modulus);

void rsa_verify_signature(mpz_t verified_payload, mpz_t recieved_payload, mpz_t other_pub_exp, mpz_t other_modulus);









